[PATCH] commands: hide deprecated commands

Nicolas Dumazet nicdumz at gmail.com
Sun Jul 12 20:00:48 CDT 2009


Hello!

2009/7/10 Dan Villiom Podlaski Christiansen <danchr at gmail.com>:
> +            if not ui.verbose and 'DEPRECATED' in doc.splitlines(0)[0]:

splitlines expect a bool argument. Please use splitlines(False) for clarity.

Since the arg defaults to False, I suggest using splitlines()

(I know, it's not really your fault ;) there is "doc.splitlines(0)[0]"
the line just after. I just submitted a patch correcting those small
issues on our codebase)


-- 
Nicolas Dumazet — NicDumZ [ nɪk.d̪ymz ]



More information about the Mercurial-devel mailing list